"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const R = __importStar(require("ramda"));
const types_1 = require("./types");
exports.isOrderEvent = R.allPass([R.has('event'), R.has('exchange')]);
exports.isSetOrderEvent = R.allPass([
    exports.isOrderEvent,
    R.propEq('event', types_1.NormalizedMessageType.SET),
]);
exports.isRemoveOrderEvent = R.allPass([
    exports.isOrderEvent,
    R.propEq('event', types_1.NormalizedMessageType.REMOVE),
]);
exports.isSnapshotEvent = R.allPass([
    R.has('event'),
    R.propEq('event', types_1.NormalizedMessageType.SNAPSHOT),
]);
