"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
__export(require("./types"));
const allExchanges = __importStar(require("./exchanges"));
exports.exchanges = allExchanges;
var aggregate_1 = require("./aggregate");
exports.isAskOrder = aggregate_1.isAskOrder;
exports.isBidOrder = aggregate_1.isBidOrder;
exports.createOrderbook = aggregate_1.createOrderbook;
exports.sortOrders = aggregate_1.sortOrders;
exports.reduceOrderEvents = aggregate_1.reduceOrderEvents;
exports.reduceOrderVolumes = aggregate_1.reduceOrderVolumes;
var events_1 = require("./events");
exports.isOrderEvent = events_1.isOrderEvent;
exports.isSetOrderEvent = events_1.isSetOrderEvent;
exports.isRemoveOrderEvent = events_1.isRemoveOrderEvent;
exports.isSnapshotEvent = events_1.isSnapshotEvent;
